from fabric.api import local
from fabric.context_managers import prefix


def virtualenv(func):
    def wrapped(*args):
        with prefix('. .env/bin/activate'):
            return func(*args)
    return wrapped


def bootstrap():
    local('virtualenv -p /usr/bin/python2 .env')
    local('.env/bin/pip install -r requirements.txt')


@virtualenv
def manage(*args):
    cmd = ['python locolander/manage.py']
    cmd.extend(args)
    local(' '.join(cmd))


@virtualenv
def test():
    local('./run_tests.sh')


@virtualenv
def start_redis():
    local('redis-server')


@virtualenv
def start_gunicorn():
    local('gunicorn_django locolander/locolander/settings.py')


@virtualenv
def start_celery():
    manage('celeryd')


@virtualenv
def start_flower():
    manage('celery flower')


@virtualenv
def start_supervisor():
    local('supervisord -c config/supervisord.conf -n')
