from django import forms

from locolanderweb.models import Project


class ProjectForm(forms.ModelForm):

    def __init__(self, owner, **kwargs):
        self.owner = owner
        super(ProjectForm, self).__init__(**kwargs)

    def save(self, *args, **kwargs):
        self.instance.owner = self.owner
        return super(ProjectForm, self).save(*args, **kwargs)

    class Meta:
        model = Project
        exclude = ('owner',)
        widgets = {
            'name': forms.TextInput(),
        }
