from locolanderweb.forms import ProjectForm
from locolanderweb.tests.test_models import BaseTestCase


class ProjectFormTestCase(BaseTestCase):

    def setUp(self):
        super(ProjectFormTestCase, self).setUp()
        self.user = self.factory.make_user()
        self.data = dict(name='foo', url='lp:foo')

    def test_model(self):
        self.obj = ProjectForm(owner=self.user, data=self.data)
        self.assertTrue(self.obj.is_valid(), 'errors: %s' % self.obj.errors)

        instance = self.obj.save()
        self.assertEqual(instance.owner, self.user)
        for k, v in self.data.iteritems():
            self.assertEqual(getattr(instance, k), v)
