"""Repo abstractions."""

from __future__ import unicode_literals

from repos import errors, github, launchpad


SERVICE_LAUNCHPAD = 'launchpad'
SERVICE_GITHUB = 'github'

SERVICE_CHOICES = [
    (SERVICE_LAUNCHPAD, 'Launchpad'),
    (SERVICE_GITHUB, 'GitHub'),
]

SERVICES = {
    SERVICE_GITHUB: github,
    SERVICE_LAUNCHPAD: launchpad,
}

# singletons
_SINGLETONS = {
    SERVICE_GITHUB: None,
    SERVICE_LAUNCHPAD: None,
}


def get_service_from_url(url):
    """Return service from url."""
    service = None
    for s, mod in SERVICES.iteritems():
        if getattr(mod, 'is_valid_url')(url):
            if _SINGLETONS[s] is None:
                _SINGLETONS[s] = getattr(mod, 'Service')()
            service = _SINGLETONS[s]
            break

    if service is None:
        raise errors.UnsupportedServiceError()

    return service
