from __future__ import unicode_literals

from unittest import TestCase

from repos import errors, services


class GetGitHubServiceFromUrlTestCase(TestCase):

    url = 'git@github.com:pepe/foo.git'
    service_class = services.github.Service

    def test_return_a_service_instance(self):
        service = services.get_service_from_url(self.url)
        self.assertIsInstance(service, self.service_class)

    def test_is_a_singleton(self):
        service1 = services.get_service_from_url(self.url)
        service2 = services.get_service_from_url(self.url)

        self.assertIs(service1, service2)

    def test_unsupported_service(self):
        with self.assertRaises(errors.UnsupportedServiceError):
            services.get_service_from_url('zaraza')


class GetLaunchpadServiceFromUrlTestCase(TestCase):

    url = 'lp:foo'
    service_class = services.launchpad.Service
